Subject: rxvt + python problem: script output buffered and interactive output missing
From: Manoj Plakal <[email-masked]>
To: [email-masked]
Date: Wed, 28 Nov 2001 02:58:42 -0600
Newsgroups: comp.lang.python

Hi,

I'm encountering a strange problem when I run
Python scripts and the Python interpreter in
an rxvt window (with tcsh) on the latest Cygwin.
This is with Win98/BeOpen Python 2.0/Cygwin 1.3.5/rxvt-2.7.2.

The scripts print some messages to stdout but
these gets buffered and appear only when the
app exits (it runs for a while). If I add
calls to flush stdout, then the messages appear
as they are printed.

If I run the Python interpreter itself, I
get no output at all, the shell just hangs,
I get the hourglass icon and I can eventually
break out with Ctrl-C's.

Things work fine with bash in a DOS box. Makes
me think that something is wrong with rxvt's
handling of stdout/stderr. But it seems to
work with some other console apps (like sftp).

Manoj

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/